kr.co.hanwha.hifive.enums

## Enum ViewHolderUnitType

- java.lang.Object
- - java.lang.Enum<ViewHolderUnitType>
  - - kr.co.hanwha.hifive.enums.ViewHolderUnitType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ViewHolderUnitType>

      public enum ViewHolderUnitType
      extends java.lang.Enum<ViewHolderUnitType>

  Created by sanghoonkwon on 2018. 2. 20..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTENTS_TASK` TASK
    `FAMOUS_SAYING_MARGIN` 명언 뷰
    `HEADER_CAMPAIGN` CAMPAIGN CONTENTS
    `HEADER_PROJECT_INFO` PROJECT INFO & 이슈 및 대응방안
    `MARGIN` 하단 여백

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static ViewHolderUnitType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ViewHolderUnitType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HEADER_PROJECT_INFO

          public static final ViewHolderUnitType HEADER_PROJECT_INFO

      PROJECT INFO & 이슈 및 대응방안

    - #### HEADER_CAMPAIGN

          public static final ViewHolderUnitType HEADER_CAMPAIGN

      CAMPAIGN CONTENTS

    - #### CONTENTS_TASK

          public static final ViewHolderUnitType CONTENTS_TASK

      TASK

    - #### FAMOUS_SAYING_MARGIN

          public static final ViewHolderUnitType FAMOUS_SAYING_MARGIN

      명언 뷰

    - #### MARGIN

          public static final ViewHolderUnitType MARGIN

      하단 여백

  - ### Field Detail

    - #### type

          int type

  - ### Method Detail

    - #### values

          public static ViewHolderUnitType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewHolderUnitType c : ViewHolderUnitType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewHolderUnitType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()